## com.bbn.openmap.event
Class LayerSupport.SetLayerRunnable

    java.lang.Object
      com.bbn.openmap.event.LayerSupport.SetLayerRunnable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  LayerSupport

protected class LayerSupport.SetLayerRunnable
extends java.lang.Object
implements java.lang.Runnable

A reusable Runnable used by a thread to notify listeners when layers are turned on/off or shuffled.

Field Summary
`protected int` `layerEventType`
`protected Layer[]` `layers`

Constructor Summary
`LayerSupport.SetLayerRunnable(int let, Layer[] lrs)`

Method Summary
`void` `doIt(int eventType, Layer[] layers)`
`int` `getEventType()`
`Layer[]` `getLayers()`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### layerEventType

    protected int layerEventType

### layers

    protected Layer[] layers

Constructor Detail

### LayerSupport.SetLayerRunnable

    public LayerSupport.SetLayerRunnable(int let,
                                         Layer[] lrs)

Method Detail

### getEventType

    public int getEventType()

### getLayers

    public Layer[] getLayers()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### doIt

    public void doIt(int eventType,
                     Layer[] layers)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details